summaryrefslogtreecommitdiffstats
path: root/2022/organizers-notebook/index.org
diff options
context:
space:
mode:
Diffstat (limited to '2022/organizers-notebook/index.org')
-rw-r--r--2022/organizers-notebook/index.org56
1 files changed, 53 insertions, 3 deletions
diff --git a/2022/organizers-notebook/index.org b/2022/organizers-notebook/index.org
index 0403fcd3..bb6d2121 100644
--- a/2022/organizers-notebook/index.org
+++ b/2022/organizers-notebook/index.org
@@ -51,7 +51,7 @@ or ~C-c \~ (~org-match-sparse-tree~) to see anything tagged with your tag.
~org-agenda~ with ~<~ for the file restriction may also be handy.
-* Cadence
+* Cadence
:PROPERTIES:
:CUSTOM_ID: cadence
:OWNER: sachac
@@ -283,7 +283,7 @@ in prod or docker container
:Effort: 1:00
:END:
:LOGBOOK:
-CLOCK: [2022-10-20 Thu 12:36]
+[2022-10-20 Thu 12:36]
:END:
(find-file "/ssh:live|sudo::/etc/icecast2/icecast.xml")
@@ -2031,7 +2031,7 @@ Make a table of the form
*** People have a hard time seeing dark-mode presentations (or light-mode)
mpv --vf=negate $url
-* Task archive
+* Task archive
:PROPERTIES:
:CUSTOM_ID: archive
:END:
@@ -3524,6 +3524,56 @@ Throw an error if ERROR is non-nil, skip otherwise."
(message "Back to safety. Phew!")
#+end_src
+** Prerecs
+*** Receive notification when new prerecs are available
+#+begin_src sh :eval no :tangle prerecs-wait-new.sh
+#!/usr/bin/env sh
+
+set -eu
+
+sleep_duration=1800
+
+data=prerec-wait-new.data
+touch "$data"
+
+plural() {
+ if [ "$2" = 1 ] || [ "$2" = -1 ]; then
+ echo "${1}"
+ else
+ case $1 in
+ "is" )
+ "are"
+ ;;
+ ,* )
+ "${1}s"
+ esac
+ fi
+}
+
+notify() {
+ echo "$1"
+ notify-send -t 0 "EmacsConf" "$1"
+}
+
+echo "Currently waiting for prerec"
+
+prerecs_number_past=$(cat "$data")
+diff=0
+
+while true; do
+ prerecs_number_current="$(TERM=xterm ssh orga@media.emacsconf.org -- ls -1 /srv/upload | wc -l)"
+ diff=$((prerecs_number_current - prerecs_number_past))
+ if [ $diff -gt 0 ]; then
+ break
+ fi
+ sleep "$sleep_duration"
+done
+
+notify "Yay~, $diff new $(plural "prerec" $diff) $(plural "is" $diff) available!"
+
+echo "$prerecs_number_current" > "$data"
+#+end_src
+
** Publish this page
#+begin_src emacs-lisp